import React, { Component } from 'react';

import style from './App.module.scss';
import { BrowserRouter as Router, Route, Redirect, Switch } from 'react-router-dom';
import PLPPage from 'pages/PLP';
import PDPPage from 'pages/PDP';
import ROUTES from 'constants/routes';
import Header from 'components/Header';
import Footer from 'components/Footer';
import LoadingAnimation from 'components/LoadingAnimation';

class App extends Component {

  componentDidMount() {
    this.props.initCategory();
  }

  render() {

    const { loading } = this.props;

    if (loading) {
      return (
        <LoadingAnimation className={style.loadingAnimation}></LoadingAnimation>
      );
    }
    else {
      return (
        <Router>
          <Header />
          <Switch>
            <Route exact path={ROUTES.listing.path} component={PLPPage} />
            <Route exact path={ROUTES.details.path} component={PDPPage} />
            <Redirect to={ROUTES.fallback} />
          </Switch>
          <Footer />
        </Router>
      );
    }
  }

}

export default App;