import Product from 'models/product';
import Image from 'models/image';

import ROUTES from 'constants/routes';

class ListingProduct extends Product {
    constructor(data) {
        super(data);
        this._image = new Image(this.data.thumbnail);
    }

    get image() {
        return this._image;
    }

    get sellingPrice() {
        const { high, low } = this.data.priceRange.selling;
        return `$${low} - $${high}`;
    }

    get detailsPageUrl() {
        const { id } = this.data;
        return ROUTES.details.getUrl(id);
    }

}

export default ListingProduct;