
import Image from 'models/image';

class Product {
    constructor(data) {
        this.data = data || {};
        this._image = new Image(this.data.hero);
    }

    get name() {
        const { name = '' } = this.data;
        return name.replace(/&amp;/, '&');
    }

    get image() {
        return this._image;
    }

    get sellingPrice() {
        const { priceRange: { selling: { high, low } = {} } = {} } = this.data;
        return `$${low} - $${high}`;
    }

}

export default Product;