import React, { Component } from 'react';
import style from './PLP.module.scss';
import ProductItem from './ProductItem';
import ListingProduct from 'models/listingProduct';

class PLPPage extends Component {
    render() {
        const { name, items } = this.props;
        return (
            <section className={style.PLPPage}>
                <h1>{name}</h1>
                <ul className={style.products}>
                    {
                        items.map(item => {
                            return (
                                <ProductItem
                                    key={item.id}
                                    data={new ListingProduct(item)}
                                />
                            )
                        })
                    }
                </ul>
            </section>
        );
    }
}

export default PLPPage;


