import React, { Component } from 'react';
import style from './ProductItem.module.scss';

class ProductItem extends Component {

    render() {

        const { data = {} } = this.props;
        const { name, image, sellingPrice, detailsPageUrl } = data;

        return (
            <li className={style.productItem}>
                <a href={detailsPageUrl}>
                    <img
                        src={image.url}
                        alt={image.alt}
                        className={style.productImage}
                    />
                </a>
                <div className={style.details}>
                    <a className={style.title} href={detailsPageUrl}>{name}</a>
                    <div className={style.sellingPrice}>
                        {sellingPrice}
                    </div>
                </div>
            </li>
        );
    }

}

export default ProductItem;

