
import API from 'services/api';
import { PRODUCT_ACTION_TYPE } from 'redux/constants/actionTypes';

export function getProductDetails(id) {

    const { PRODUCT_INIT_BEGIN, PRODUCT_INIT_SUCCESS, PRODUCT_INIT_FAILED } = PRODUCT_ACTION_TYPE;

    return async dispatch => {

        dispatch({ type: PRODUCT_INIT_BEGIN });

        try {
            const product = await API.getProductDetails(id);
            dispatch({ type: PRODUCT_INIT_SUCCESS, payload: product });
        }
        catch (err) {
            console.log(err);
            dispatch({ type: PRODUCT_INIT_FAILED, payload: err });
        }

    };
}