
import { CATEGORY_ACTION_TYPE } from 'redux/constants/actionTypes';

const { CATEGORY_INIT_BEGIN, CATEGORY_INIT_SUCCESS, CATEGORY_INIT_FAILURE } = CATEGORY_ACTION_TYPE;

const initialState = {
    loading: true,
    error: null,
    items: [],
    name: ''
};

export default function categoryReducer(state = initialState, action) {
    switch (action.type) {
        case CATEGORY_INIT_BEGIN: {
            return {
                ...state,
                loading: true
            }
        }
        case CATEGORY_INIT_SUCCESS: {
            return {
                ...state,
                loading: false,
                ...action.payload
            }
        }
        case CATEGORY_INIT_FAILURE: {
            return {
                ...state,
                loading: false,
                error: action.payload,
            }
        }
        default:
            return state;
    }
}