
import { PRODUCT_ACTION_TYPE } from 'redux/constants/actionTypes';

const { PRODUCT_INIT_BEGIN, PRODUCT_INIT_SUCCESS, PRODUCT_INIT_FAILURE } = PRODUCT_ACTION_TYPE;

const initialState = {
    loading: true,
    error: null,
    product: null
};

export default function productReducer(state = initialState, action) {
    switch (action.type) {
        case PRODUCT_INIT_BEGIN: {
            return {
                ...state,
                loading: true
            }
        }
        case PRODUCT_INIT_SUCCESS: {
            return {
                ...state,
                loading: false,
                product: action.payload
            }
        }
        case PRODUCT_INIT_FAILURE: {
            return {
                ...state,
                loading: false,
                error: action.payload,
            }
        }
        default:
            return state;
    }
}